/*****************************************************************************
  klocate -- a KDE front-end to slocate
  version 0.50.3, March 7, 2004                                                              
  Programmed by: Alexandre Oberlin                              
  Report any Bugs to: alxobr@free.fr   
  Thanks to Kevin Lindsay for programming slocate.                                                                                                                                      
     Copyright (C) version Free Software Foundation, Inc.                       
     This program is free software; you can redistribute it and/or modify    
     it under the terms of the GNU General Public License as published by    
     the Free Software Foundation; either version 2, or (at your option)     
     any later version.                                                      
     This program is distributed in the hope that it will be useful,         
     but WITHOUT ANY WARRANTY; without even the implied warranty of          
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           
     GNU General Public License for more details.                            
     You should have received a copy of the GNU General Public License       
     along with this program; if not, write to the Free Software             
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               
*****************************************************************************/
/****************************************************************
**
** Definition of LocCmd class
**
****************************************************************/
#ifndef LOCCMD_H
#define LOCCMD_H
#include <qvbox.h>
#include <qpushbutton.h>
#include <qtooltip.h> 
#include <qlineedit.h>
#include <qmessagebox.h>
#include <qlayout.h> 
#include <qcheckbox.h> 
#include <kcombobox.h>
#include "disklist.h"

class LocCmd : public QWidget
{
    Q_OBJECT
public:
    LocCmd( QWidget *parent,  bool _storehistory, const char *name=0 );
    ~LocCmd();
    const QString  value();
    KHistoryCombo *le;
    void remember();
    bool stopit;
    QCheckBox *cb;    
    QCheckBox *cb2;    
    QCheckBox *cb3;
 private:
    bool storehistory;
    void enableStop();
    bool runflag;
    QPushButton *search_pb;
    public slots:   
    void enableStart();
 protected slots:
    void start();
 signals:
    void search( );
};
#endif 
