/*****************************************************************************
  klocate -- a KDE front-end to slocate
  version 0.25, December 10, 2003                                                              
  Programmed by: Alexandre Oberlin                              
  Report any Bugs to: alxobr@free.fr   
  Thanks to Kevin Lindsay for programming slocate.                                                                                                                                      
     Copyright (C) version Free Software Foundation, Inc.                       
     This program is free software; you can redistribute it and/or modify    
     it under the terms of the GNU General Public License as published by    
     the Free Software Foundation; either version 2, or (at your option)     
     any later version.                                                      
     This program is distributed in the hope that it will be useful,         
     but WITHOUT ANY WARRANTY; without even the implied warranty of          
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           
     GNU General Public License for more details.                            
     You should have received a copy of the GNU General Public License       
     along with this program; if not, write to the Free Software             
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               
*****************************************************************************/
#ifndef STRSTACK_H
#define STRSTACK_H
#define STRSTACK_MAX 20  
#include <qstring.h>
#include <ctype.h>

class  StrStack
{
 public:
  StrStack();
  ~StrStack();
  void stacpy(StrStack *dest); 
  void clear();
  char * pop () ;
  char * push (const char * newstring) ;
  char * top () ;
  bool empty () ;
  int extrachars (QString str);
  char * getValue (unsigned int i) ;
 protected:
  unsigned int sp; 
  char * value[STRSTACK_MAX];
};
#endif 
